#include "head.h"

void print_menu_main(void){
    wchar_t word[] =
        L"\n\tМЕНЮ управления учетными запясями студентов\n 1 - Создать учетку\n2 - Редактировать учетку\n3 - Удалить учетку\n4 - Посмотреть все учетки\n";
    for(int i = 0;word[i]!='\0';i++){
        putwchar(word[i]);
    }
}

void print_wich_student(void){
    wchar_t word[] =
        L"\nВведите № учетной записи: ";
    for(int i = 0;word[i]!='\0';i++){
        putwchar(word[i]);
    }
}

void print_menu_create(char ws){
     wchar_t word[] =
        L"\n\tМЕНЮ создания учетной записи";
    for(int i = 0;word[i]!='\0';i++){
        putwchar(word[i]);
    }
}

void print_menu_edit(char ws){
      wchar_t word[] =
        L"\n\tМЕНЮ редактирования учетной записи\n";
    for(int i = 0;word[i]!='\0';i++){
        putwchar(word[i]);
    }
    
}

void print_menu_del(char ws){
    {//Print first part of sentense
        wchar_t word[] =
            L"\nВы уверенны что хотите удалить учетку № ";
        for(int i = 0;word[i]!='\0';i++){
            putwchar(word[i]);
        }
    }

    {//Print  №
        char method = ws>=10?(ws>=100?3:2):1;
        char num[3];
        for (int i = 0;i<method;i++){
            num[i] = ws%10;
            ws /= 10;
        }

        for (int i = method-1;i>=0;i--){
            putwchar(num[i]);
        }
    }
    
    {//Print last part of sentense
        wchar_t word2[] =
            L" ?\n";
        for(int i = 0;word2[i]!='\0';i++){
            putwchar(word2[i]);
        }
    }
}

void print_list(void){
      wchar_t word[] =
        L"\t";
    for(int i = 0;word[i]!='\0';i++){
        putwchar(word[i]);
    }
    
}

